#!/bin/bash

set -eu

export NODE_ENV=production

if [[ -z "$(ls -A /app/data)" ]]; then
    echo "First run"

    uuid="$(uuid)"

    cat > /app/data/config.json <<EOF
{
    "url": "https://${HOSTNAME}",
    "secret": "$(uuid)",
    "database": "mongo",
    "mongo": {
        "host": "${MONGODB_HOST}",
        "port": "${MONGODB_PORT}",
        "username": "${MONGODB_USERNAME}",
        "password": "${MONGODB_PASSWORD}",
        "database": "${MONGODB_DATABASE}"
    }
}
EOF
fi

chown -R cloudron:cloudron /app/data

cd /app/code

setup="{
    \"admin:username\": \"admin\",
    \"admin:password:\": \"password\",
    \"admin:password:confirm\": \"password\",
    \"admin:email\": \"admin@cloudron.io\"
    \"mongo\": true,
    \"mongo:host\": \"${MONGODB_HOST}\",
    \"mongo:port\": \"${MONGODB_PORT}\",
    \"mongo:username\": \"${MONGODB_USERNAME}\",
    \"mongo:password\": \"${MONGODB_PASSWORD}\",
    \"mongo:database\": \"${MONGODB_DATABASE}\"
}"

# node app --setup ${setup}

# npm run-script migrate (this is done automatically as part of prestart script
# /usr/local/bin/gosu cloudron:cloudron npm start

read
